Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  trait Positions extends reflect.internal.Positions
  Definition Classes
    ast
- ChildSolidDescendantsCollector
- DefaultPosAssigner
- Locator
- PosAssigner
- TypedLocator
- ValidateException
- ValidatingPosAssigner

c

scala.tools.nsc.ast.Positions

# ValidatingPosAssigner

###

#### class ValidatingPosAssigner extends Global.InternalTraverser with Global.PosAssigner

Source
  Positions.scala

Linear Supertypes
Global.PosAssigner, Global.InternalTraverser, Global.Traverser, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ValidatingPosAssigner
2. PosAssigner
3. InternalTraverser
4. Traverser
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ValidatingPosAssigner()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Global.ValidatingPosAssigner toany2stringadd[Global.ValidatingPosAssigner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Global.ValidatingPosAssigner, B)
   Implicit
     This member is added by an implicit conversion from Global.ValidatingPosAssigner toArrowAssoc[Global.ValidatingPosAssigner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply[T <: Global.Tree](tree: T): T
   Definition Classes
     Traverser
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def atOwner(owner: Global.Symbol)(traverse: => Unit): Unit
   Definition Classes
     Traverser
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  var currentOwner: Global.Symbol
    Attributes
      protected[scala]
    Definition Classes
      Traverser
11.  def ensuring(cond: (Global.ValidatingPosAssigner) => Boolean, msg: => Any): Global.ValidatingPosAssigner
    Implicit
      This member is added by an implicit conversion from Global.ValidatingPosAssigner toEnsuring[Global.ValidatingPosAssigner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (Global.ValidatingPosAssigner) => Boolean): Global.ValidatingPosAssigner
    Implicit
      This member is added by an implicit conversion from Global.ValidatingPosAssigner toEnsuring[Global.ValidatingPosAssigner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): Global.ValidatingPosAssigner
    Implicit
      This member is added by an implicit conversion from Global.ValidatingPosAssigner toEnsuring[Global.ValidatingPosAssigner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): Global.ValidatingPosAssigner
    Implicit
      This member is added by an implicit conversion from Global.ValidatingPosAssigner toEnsuring[Global.ValidatingPosAssigner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Global.ValidatingPosAssigner toStringFormat[Global.ValidatingPosAssigner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  var pos: Global.Position
    Definition Classes
      ValidatingPosAssigner → PosAssigner
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  def traverse(t: Global.Tree): Unit
    Definition Classes
      ValidatingPosAssigner → InternalTraverser → Traverser
29.  def traverseAnnotations(annots: List[Global.Tree]): Unit
    Definition Classes
      Traverser
30.  def traverseCases(cases: List[Global.CaseDef]): Unit
    Definition Classes
      Traverser
31.  def traverseConstant(c: Global.Constant): Unit
    Definition Classes
      Traverser
32.  def traverseGuard(guard: Global.Tree): Unit
    Definition Classes
      Traverser
33.  def traverseImportSelector(sel: Global.ImportSelector): Unit
    Definition Classes
      Traverser
34.  def traverseModifiers(mods: Global.Modifiers): Unit
    Definition Classes
      Traverser
35.  def traverseName(name: Global.Name): Unit
    Definition Classes
      Traverser
36.  def traverseParams(params: List[Global.Tree]): Unit
    Definition Classes
      Traverser
37.  def traverseParamss(vparamss: List[List[Global.Tree]]): Unit
    Definition Classes
      Traverser
38.  def traverseParents(parents: List[Global.Tree]): Unit
    Definition Classes
      Traverser
39.  def traversePattern(pat: Global.Tree): Unit
    Definition Classes
      Traverser
40.  def traverseSelfType(self: Global.ValDef): Unit
    Definition Classes
      Traverser
41.  def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit
    Definition Classes
      Traverser
42.  def traverseTrees(trees: List[Global.Tree]): Unit
    Definition Classes
      Traverser
43.  def traverseTreess(treess: List[List[Global.Tree]]): Unit
    Definition Classes
      Traverser
44.  def traverseTypeArgs(args: List[Global.Tree]): Unit
    Definition Classes
      Traverser
45.  def traverseTypeAscription(tpt: Global.Tree): Unit
    Definition Classes
      Traverser
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Global.ValidatingPosAssigner, B)
   Implicit
     This member is added by an implicit conversion from Global.ValidatingPosAssigner toArrowAssoc[Global.ValidatingPosAssigner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Global.PosAssigner

### Inherited from Global.InternalTraverser

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromGlobal.ValidatingPosAssigner to any2stringadd[Global.ValidatingPosAssigner]

### Inherited by implicit conversion StringFormat fromGlobal.ValidatingPosAssigner to StringFormat[Global.ValidatingPosAssigner]

### Inherited by implicit conversion Ensuring fromGlobal.ValidatingPosAssigner to Ensuring[Global.ValidatingPosAssigner]

### Inherited by implicit conversion ArrowAssoc fromGlobal.ValidatingPosAssigner to ArrowAssoc[Global.ValidatingPosAssigner]

### Ungrouped